#
View Source Ash.Query.Function.StringSplit (ash v2.14.2)

Split a string into a list of strings

Splits a string on the given delimiter. The delimiter defaults to a single space. Also supports options.

Keep in mind, this function does not support regexes the way that `String.split/3` does, only raw strings.

    string_split(employee_code)
    string_split(full_name, "foo")
    string_split(full_name, "foo", trim?: true)

##

options

Options

- `:trim?` (`boolean/0`) - Wether or not to trim empty strings from the beginning or end of the result. Equivalent to the `trim` option to `String.split/3` The default value is `false`.

# Link to this section Summary

## Functions

args()
eager_evaluate?()
evaluate(arg1)
name()
new(args)
predicate?()
private?()

# Link to this section Functions

Link to this function

# args()

View Source
Link to this function

# eager_evaluate?()

View Source
Link to this function

# evaluate(arg1)

View Source
Link to this function

# name()

View Source
Link to this function

# new(args)

View Source
Link to this function

# predicate?()

View Source
Link to this function

# private?()

View Source